---
- name: Router configuration
  hosts: routers
  become: yes
  tasks:

    - name: Enable IP forwarding
      sysctl:
        name: net.ipv4.ip_forward
        reload: yes
        sysctl_set: yes
        value: '1'
      vars: {}

    - name: Set up postrouting
      iptables:
        table: nat
        chain: POSTROUTING
        jump: SNAT
        out_interface: '{{ ansible_default_ipv4.interface }}'
        to_source: '{{ ansible_default_ipv4.address }}'


- name: Linux configuration
  hosts: ssh
  become: yes
  tasks:

    - name: Install net-tools
      apt:
        name: net-tools

    - name: Add aliases of all devices
      lineinfile:
        line: '{{ item.key }} {{ item.value }}'
        path: /etc/hosts
      with_dict: '{{ device_aliases }}'

    - name: Configure routes
      include_role:
        name: interface
      loop: '{{ routes }}'
      loop_control:
        loop_var: interface
      vars:
        interface_configuration_type: static
        interface_default_gateway: '{{ interface.interface_default_gateway | default('''') }}'
        interface_identification: '{{ interface.interface_ip }}'
        interface_routes: '{{ interface.interface_routes | default([]) }}'
        interface_static_ip: '{{ interface.interface_ip }}'
        interface_static_netmask: '{{ interface.interface_netmask }}'


- name: Windows configuration
  hosts: winrm
  become: yes
  become_method: runas
  become_user: windows
  tasks: []


- name: Controller configuration
  hosts: controller
  become: yes
  tasks:

    - name: Install pywinrm
      pip:
        name: pywinrm
        executable: "pip3"
...
